---
lang: en
title: 'API docs: rest.invokebodyparsermiddleware'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.invokebodyparsermiddleware.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [invokeBodyParserMiddleware](./rest.invokebodyparsermiddleware.md)

## invokeBodyParserMiddleware() function

Parse the request body asynchronously

<b>Signature:</b>

```typescript
export declare function invokeBodyParserMiddleware(handle: BodyParserMiddleware, request: Request): Promise<any>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  handle | [BodyParserMiddleware](./rest.bodyparsermiddleware.md) | The express middleware handler |
|  request | Request | Http request |

<b>Returns:</b>

Promise&lt;any&gt;


